# lx-music-desktop 常见问题

在阅读本常见问题后，仍然无法解决你的问题，请提交issue或者加企鹅群`830125506`反馈，反馈时请**注明**已阅读常见问题！

## 软件为什么没有桌面歌词与自定义列表功能

洛雪音乐的最初定位不是作为播放器开发的，它主要用于**查找歌曲**，软件的播放功能仅用于试听，不建议用作为常用播放器使用，因此无桌面、界面歌词，不可自定义列表。

## 歌曲无法试听与下载

该问题解决顺序如下：

1. 尝试更新到最新版本
2. 尝试切换其他歌曲（或直接搜索该歌曲），若全部歌曲都无法试听与下载则进行下一步
3. 尝试到设置-接口来源切换到其他接口
4. 尝试切换网络，比如用手机开热点（目前存在某些网络无法访问接口服务器的情况）
5. 若还不行请到这个链接查看详情：<https://github.com/lyswhut/lx-music-desktop/issues/5>
6. 若没有在第5条链接中的第一条评论中看到接口无法使用的说明，则应该是你网络无法访问接口服务器的问题，如果接口有问题我会在那里说明。

想要知道是不是自己网络的问题可以看看`https://ts.tempmusic.tk`能不能在浏览器打开，浏览器显示404是正常的，如果不是404那就证明所在网络无法访问接口服务器。
若网页无法打开或打来不是404，则应该是DNS的问题，可以尝试以下办法：

1. 改成自动获取试试
2. 手动把DNS改一下，不要用360的DNS，可以把DNS改成`114.114.114.114`、`8.8.8.8`
3. 软件设置里面的代理不要勾起来

## 软件安装包说明

软件发布页及网盘中有多个类型的安装文件，以下是对这些类型文件的说明：

文件名带 `win_` 的是在Windows系统上运行的版本，<br>
其中安装版（Setup）可自动更新软件，<br>
绿色版（green）为免安装版，自动更新功能不可用；

以 **`.dmg`** 结尾的文件为 MAC 版本；

以 **`.AppImage`**、**`.deb`** 结尾的为 Linux 版本。

带有`x64`的为64位的系统版本，带`x86`的为32位的系统版本；若两个都带有的则为集合版，安装时会自动根据系统位数选择对应的版本安装。

## 软件更新

软件启动时若发现新版本时会自动从本仓库下载安装包，下载完毕会弹窗提示更新。<br>
若下载未完成时软件被关闭，下次启动软件会再次自动下载。<br>
若还是**更新失败**，可能是无法访问GitHub导致的，这时需要手动更新，即下载最新安装包直接覆盖安装即可。<br>
注意：**绿色版**的软件自动更新功能**不可用**，建议使用安装版！！<br>
注意：**Mac版**、**Linux deb**版不支持自动更新！

## Windows 7 下界面异常

当 win7 没有开启**透明效果**时界面将会显示异常，开启方法请自行百度。<br>
对于一些开启透明效果后仍然无法正常显示界面的系统，我也不知道是什么原因导致的，只能说正常的系统是没有这个问题的，如果你知道原因导致的欢迎反馈！

## 安装版安装失败，提示应用未安装

对于部分电脑出现安装失败的问题，可以做出以下尝试：

- 若你之前可以安装成功，但现在安装失败，就去**控制面板-程序和功能**或用第三方卸载工具看下有没有之前的版本残留，若同时在不同路径下安装了多个版本就可能会出现该问题，这种情况卸载掉所有版本重新安装即可
- 清理安装路径下的残留文件
- 以管理员权限打开`cmd`，输入`sfc /scannow`回车等待检查完成重启电脑
- 若还是不行我也没办法了。。

## 缺少`xxx.dll`

这个是电脑缺少某些dll导致的，正常的系统是没有这个问题的，解决办法需自行百度弹出的错误信息看下别人是怎么解决的。
